# photobiologyWavebands #

Package `photobiologyWavebands` is a set of functions and data to be used together with package `photobiology` for calculating derived quantities from spectral data. Unweighted derived quantities represent summaries of a given range of wavelengths, which can be expressed either in energy or photon based units. Derived _biologically effective_ quantities are used to quantify the effect of radiation on different organisms or processes within organisms. These effects can range from damage to perception of informational light signals.

The definitions cover most unweighted wavebands in common use, and in addition some weighting functions used in the calculation of effective irradiances and exposures. The current version of the package puts emphasis on plant responses, but in the future it will be expanded to included responses relevant to other groups of organisms.

Please, see the web site [r4photobiology](http://www.r4photobiology.info) for details on other packages available as part of the suite, and on how to install them.
